# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/amd,ccp-seattle-v1a.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: AMD Cryptographic Coprocessor (ccp)

maintainers:
  - Tom Lendacky <thomas.lendacky@amd.com>

properties:
  compatible:
    const: amd,ccp-seattle-v1a

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  dma-coherent: true

  iommus:
    maxItems: 4

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    crypto@e0100000 {
        compatible = "amd,ccp-seattle-v1a";
        reg = <0xe0100000 0x10000>;
        interrupts = <0 3 4>;
        dma-coherent;
    };
